# define numbering scheme, then chain, then region def
scheme_numbering = {
    "imgt": {
        "heavy": {
            "imgt": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 26,
                "cdr1_aa_start": 27,
                "cdr1_aa_end": 38,
                "fwr2_aa_start": 39,
                "fwr2_aa_end": 55,
                "cdr2_aa_start": 56,
                "cdr2_aa_end": 65,
                "fwr3_aa_start": 66,
                "fwr3_aa_end": 104,
                "cdr3_aa_start": 105,
                "cdr3_aa_end": 117,
                "fwr4_aa_start": 118,
                "fwr4_aa_end": 128,
            },
            "chothia": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 26,
                "cdr1_aa_start": 27,
                "cdr1_aa_end": 37,
                "fwr2_aa_start": 38,
                "fwr2_aa_end": 56,
                "cdr2_aa_start": 57,
                "cdr2_aa_end": 64,
                "fwr3_aa_start": 65,
                "fwr3_aa_end": 106,
                "cdr3_aa_start": 107,
                "cdr3_aa_end": 117,
                "fwr4_aa_start": 118,
                "fwr4_aa_end": 128,
            },
            "abm": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 26,
                "cdr1_aa_start": 27,
                "cdr1_aa_end": 40,
                "fwr2_aa_start": 41,
                "fwr2_aa_end": 54,
                "cdr2_aa_start": 55,
                "cdr2_aa_end": 66,
                "fwr3_aa_start": 67,
                "fwr3_aa_end": 106,
                "cdr3_aa_start": 107,
                "cdr3_aa_end": 117,
                "fwr4_aa_start": 118,
                "fwr4_aa_end": 128,
            },
            "kabat": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 35,
                "cdr1_aa_start": 36,
                "cdr1_aa_end": 40,
                "fwr2_aa_start": 41,
                "fwr2_aa_end": 54,
                "cdr2_aa_start": 55,
                "cdr2_aa_end": 74,
                "fwr3_aa_start": 75,
                "fwr3_aa_end": 106,
                "cdr3_aa_start": 107,
                "cdr3_aa_end": 117,
                "fwr4_aa_start": 118,
                "fwr4_aa_end": 128,
            },
            "contact": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 30,
                "cdr1_aa_start": 35,
                "cdr1_aa_end": 40,
                "fwr2_aa_start": 41,
                "fwr2_aa_end": 51,
                "cdr2_aa_start": 52,
                "cdr2_aa_end": 66,
                "fwr3_aa_start": 67,
                "fwr3_aa_end": 104,
                "cdr3_aa_start": 105,
                "cdr3_aa_end": 116,
                "fwr4_aa_start": 117,
                "fwr4_aa_end": 128,
            },
            "scdr": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 27,
                "cdr1_aa_start": 28,
                "cdr1_aa_end": 40,
                "fwr2_aa_start": 41,
                "fwr2_aa_end": 52,
                "cdr2_aa_start": 53,
                "cdr2_aa_end": 68,
                "fwr3_aa_start": 69,
                "fwr3_aa_end": 104,
                "cdr3_aa_start": 105,
                "cdr3_aa_end": 117,
                "fwr4_aa_start": 118,
                "fwr4_aa_end": 128,
            },
        },
        "light": {
            "imgt": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 26,
                "cdr1_aa_start": 27,
                "cdr1_aa_end": 38,
                "fwr2_aa_start": 39,
                "fwr2_aa_end": 55,
                "cdr2_aa_start": 56,
                "cdr2_aa_end": 65,
                "fwr3_aa_start": 66,
                "fwr3_aa_end": 104,
                "cdr3_aa_start": 105,
                "cdr3_aa_end": 117,
                "fwr4_aa_start": 118,
                "fwr4_aa_end": 128,
            },
            "scdr": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 40,
                "fwr2_aa_start": 41,
                "fwr2_aa_end": 55,
                "cdr2_aa_start": 56,
                "cdr2_aa_end": 69,
                "fwr3_aa_start": 70,
                "fwr3_aa_end": 104,
                "cdr3_aa_start": 105,
                "cdr3_aa_end": 117,
                "fwr4_aa_start": 118,
                "fwr4_aa_end": 128,
            },
            "chothia": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 40,
                "fwr2_aa_start": 41,
                "fwr2_aa_end": 55,
                "cdr2_aa_start": 56,
                "cdr2_aa_end": 70,
                "fwr3_aa_start": 71,
                "fwr3_aa_end": 104,
                "cdr3_aa_start": 105,
                "cdr3_aa_end": 117,
                "fwr4_aa_start": 118,
                "fwr4_aa_end": 128,
            },
            "abm": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 40,
                "fwr2_aa_start": 41,
                "fwr2_aa_end": 55,
                "cdr2_aa_start": 56,
                "cdr2_aa_end": 70,
                "fwr3_aa_start": 71,
                "fwr3_aa_end": 104,
                "cdr3_aa_start": 105,
                "cdr3_aa_end": 117,
                "fwr4_aa_start": 118,
                "fwr4_aa_end": 128,
            },
            "kabat": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 40,
                "fwr2_aa_start": 41,
                "fwr2_aa_end": 55,
                "cdr2_aa_start": 56,
                "cdr2_aa_end": 70,
                "fwr3_aa_start": 71,
                "fwr3_aa_end": 104,
                "cdr3_aa_start": 105,
                "cdr3_aa_end": 117,
                "fwr4_aa_start": 118,
                "fwr4_aa_end": 128,
            },
            "contact": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 29,
                "cdr1_aa_start": 30,
                "cdr1_aa_end": 42,
                "fwr2_aa_start": 43,
                "fwr2_aa_end": 51,
                "cdr2_aa_start": 52,
                "cdr2_aa_end": 69,
                "fwr3_aa_start": 70,
                "fwr3_aa_end": 104,
                "cdr3_aa_start": 105,
                "cdr3_aa_end": 116,
                "fwr4_aa_start": 117,
                "fwr4_aa_end": 128,
            },
        },
    },
    "kabat": {
        "heavy": {
            "imgt": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 25,
                "cdr1_aa_start": 26,
                "cdr1_aa_end": 33,
                "fwr2_aa_start": 34,
                "fwr2_aa_end": 50,
                "cdr2_aa_start": 51,
                "cdr2_aa_end": 57,
                "fwr3_aa_start": 58,
                "fwr3_aa_end": 92,
                "cdr3_aa_start": 93,
                "cdr3_aa_end": 102,
                "fwr4_aa_start": 103,
                "fwr4_aa_end": 113,
            },
            "chothia": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 25,
                "cdr1_aa_start": 26,
                "cdr1_aa_end": 32,
                "fwr2_aa_start": 33,
                "fwr2_aa_end": 51,
                "cdr2_aa_start": 52,
                "cdr2_aa_end": 56,
                "fwr3_aa_start": 57,
                "fwr3_aa_end": 94,
                "cdr3_aa_start": 95,
                "cdr3_aa_end": 102,
                "fwr4_aa_start": 103,
                "fwr4_aa_end": 113,
            },
            "abm": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 25,
                "cdr1_aa_start": 26,
                "cdr1_aa_end": 35,
                "fwr2_aa_start": 36,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 58,
                "fwr3_aa_start": 59,
                "fwr3_aa_end": 94,
                "cdr3_aa_start": 95,
                "cdr3_aa_end": 102,
                "fwr4_aa_start": 103,
                "fwr4_aa_end": 113,
            },
            "kabat": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 30,
                "cdr1_aa_start": 31,
                "cdr1_aa_end": 35,
                "fwr2_aa_start": 36,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 65,
                "fwr3_aa_start": 66,
                "fwr3_aa_end": 94,
                "cdr3_aa_start": 95,
                "cdr3_aa_end": 102,
                "fwr4_aa_start": 103,
                "fwr4_aa_end": 113,
            },
            "contact": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 29,
                "cdr1_aa_start": 30,
                "cdr1_aa_end": 35,
                "fwr2_aa_start": 36,
                "fwr2_aa_end": 46,
                "cdr2_aa_start": 47,
                "cdr2_aa_end": 58,
                "fwr3_aa_start": 69,
                "fwr3_aa_end": 92,
                "cdr3_aa_start": 93,
                "cdr3_aa_end": 101,
                "fwr4_aa_start": 102,
                "fwr4_aa_end": 113,
            },
            "scdr": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 26,
                "cdr1_aa_start": 27,
                "cdr1_aa_end": 35,
                "fwr2_aa_start": 36,
                "fwr2_aa_end": 47,
                "cdr2_aa_start": 48,
                "cdr2_aa_end": 60,
                "fwr3_aa_start": 61,
                "fwr3_aa_end": 92,
                "cdr3_aa_start": 93,
                "cdr3_aa_end": 102,
                "fwr4_aa_start": 103,
                "fwr4_aa_end": 113,
            },
        },
        "light": {
            "imgt": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 26,
                "cdr1_aa_start": 27,
                "cdr1_aa_end": 32,
                "fwr2_aa_start": 33,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 51,
                "fwr3_aa_start": 52,
                "fwr3_aa_end": 88,
                "cdr3_aa_start": 89,
                "cdr3_aa_end": 97,
                "fwr4_aa_start": 98,
                "fwr4_aa_end": 107,
            },
            "scdr": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 34,
                "fwr2_aa_start": 35,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 56,
                "fwr3_aa_start": 57,
                "fwr3_aa_end": 88,
                "cdr3_aa_start": 89,
                "cdr3_aa_end": 97,
                "fwr4_aa_start": 98,
                "fwr4_aa_end": 107,
            },
            "chothia": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 34,
                "fwr2_aa_start": 35,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 56,
                "fwr3_aa_start": 57,
                "fwr3_aa_end": 88,
                "cdr3_aa_start": 89,
                "cdr3_aa_end": 97,
                "fwr4_aa_start": 98,
                "fwr4_aa_end": 107,
            },
            "abm": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 34,
                "fwr2_aa_start": 35,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 56,
                "fwr3_aa_start": 57,
                "fwr3_aa_end": 88,
                "cdr3_aa_start": 89,
                "cdr3_aa_end": 97,
                "fwr4_aa_start": 98,
                "fwr4_aa_end": 107,
            },
            "kabat": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 34,
                "fwr2_aa_start": 35,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 56,
                "fwr3_aa_start": 57,
                "fwr3_aa_end": 88,
                "cdr3_aa_start": 89,
                "cdr3_aa_end": 97,
                "fwr4_aa_start": 98,
                "fwr4_aa_end": 107,
            },
            # "contact": {
            #     "fwr1_aa_start": 1,
            #     "fwr1_aa_end": 27,
            #     "cdr1_aa_start": 28,
            #     "cdr1_aa_end": 42,
            #     "fwr2_aa_start": 43,
            #     "fwr2_aa_end": 51,
            #     "cdr2_aa_start": 52,
            #     "cdr2_aa_end": 69,
            #     "fwr3_aa_start": 70,
            #     "fwr3_aa_end": 104,
            #     "cdr3_aa_start": 105,
            #     "cdr3_aa_end": 116,
            #     "fwr4_aa_start": 117,
            #     "fwr4_aa_end": 128,
            # },
        },
    },
    "chothia": {
        "heavy": {
            "imgt": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 25,
                "cdr1_aa_start": 26,
                "cdr1_aa_end": 33,
                "fwr2_aa_start": 34,
                "fwr2_aa_end": 50,
                "cdr2_aa_start": 51,
                "cdr2_aa_end": 57,
                "fwr3_aa_start": 58,
                "fwr3_aa_end": 92,
                "cdr3_aa_start": 93,
                "cdr3_aa_end": 102,
                "fwr4_aa_start": 103,
                "fwr4_aa_end": 113,
            },
            "chothia": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 25,
                "cdr1_aa_start": 26,
                "cdr1_aa_end": 32,
                "fwr2_aa_start": 33,
                "fwr2_aa_end": 51,
                "cdr2_aa_start": 52,
                "cdr2_aa_end": 56,
                "fwr3_aa_start": 57,
                "fwr3_aa_end": 94,
                "cdr3_aa_start": 95,
                "cdr3_aa_end": 102,
                "fwr4_aa_start": 103,
                "fwr4_aa_end": 113,
            },
            "abm": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 25,
                "cdr1_aa_start": 26,
                "cdr1_aa_end": 35,
                "fwr2_aa_start": 36,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 58,
                "fwr3_aa_start": 59,
                "fwr3_aa_end": 94,
                "cdr3_aa_start": 95,
                "cdr3_aa_end": 102,
                "fwr4_aa_start": 103,
                "fwr4_aa_end": 113,
            },
            "kabat": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 30,
                "cdr1_aa_start": 31,
                "cdr1_aa_end": 35,
                "fwr2_aa_start": 36,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 65,
                "fwr3_aa_start": 66,
                "fwr3_aa_end": 94,
                "cdr3_aa_start": 95,
                "cdr3_aa_end": 102,
                "fwr4_aa_start": 103,
                "fwr4_aa_end": 113,
            },
            "contact": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 29,
                "cdr1_aa_start": 30,
                "cdr1_aa_end": 35,
                "fwr2_aa_start": 36,
                "fwr2_aa_end": 46,
                "cdr2_aa_start": 47,
                "cdr2_aa_end": 58,
                "fwr3_aa_start": 69,
                "fwr3_aa_end": 92,
                "cdr3_aa_start": 93,
                "cdr3_aa_end": 101,
                "fwr4_aa_start": 102,
                "fwr4_aa_end": 113,
            },
            "scdr": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 26,
                "cdr1_aa_start": 27,
                "cdr1_aa_end": 35,
                "fwr2_aa_start": 36,
                "fwr2_aa_end": 47,
                "cdr2_aa_start": 48,
                "cdr2_aa_end": 60,
                "fwr3_aa_start": 61,
                "fwr3_aa_end": 92,
                "cdr3_aa_start": 93,
                "cdr3_aa_end": 102,
                "fwr4_aa_start": 103,
                "fwr4_aa_end": 113,
            },
        },
        "light": {
            "imgt": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 26,
                "cdr1_aa_start": 27,
                "cdr1_aa_end": 32,
                "fwr2_aa_start": 33,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 51,
                "fwr3_aa_start": 52,
                "fwr3_aa_end": 88,
                "cdr3_aa_start": 89,
                "cdr3_aa_end": 97,
                "fwr4_aa_start": 98,
                "fwr4_aa_end": 107,
            },
            "scdr": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 34,
                "fwr2_aa_start": 35,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 56,
                "fwr3_aa_start": 57,
                "fwr3_aa_end": 88,
                "cdr3_aa_start": 89,
                "cdr3_aa_end": 97,
                "fwr4_aa_start": 98,
                "fwr4_aa_end": 107,
            },
            "chothia": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 34,
                "fwr2_aa_start": 35,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 56,
                "fwr3_aa_start": 57,
                "fwr3_aa_end": 88,
                "cdr3_aa_start": 89,
                "cdr3_aa_end": 97,
                "fwr4_aa_start": 98,
                "fwr4_aa_end": 107,
            },
            "abm": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 34,
                "fwr2_aa_start": 35,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 56,
                "fwr3_aa_start": 57,
                "fwr3_aa_end": 88,
                "cdr3_aa_start": 89,
                "cdr3_aa_end": 97,
                "fwr4_aa_start": 98,
                "fwr4_aa_end": 107,
            },
            "kabat": {
                "fwr1_aa_start": 1,
                "fwr1_aa_end": 23,
                "cdr1_aa_start": 24,
                "cdr1_aa_end": 34,
                "fwr2_aa_start": 35,
                "fwr2_aa_end": 49,
                "cdr2_aa_start": 50,
                "cdr2_aa_end": 56,
                "fwr3_aa_start": 57,
                "fwr3_aa_end": 88,
                "cdr3_aa_start": 89,
                "cdr3_aa_end": 97,
                "fwr4_aa_start": 98,
                "fwr4_aa_end": 107,
            },
        },
    },
}
